Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.taskmgmt.log
Class TaskCreateLog

    java.lang.Object
      org.jbpm.logging.log.ProcessLog
          org.jbpm.taskmgmt.log.TaskLog
              org.jbpm.taskmgmt.log.TaskCreateLog

All Implemented Interfaces:
  java.io.Serializable

    public class TaskCreateLog

extends TaskLog

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `taskActorId`

Fields inherited from class org.jbpm.taskmgmt.log.TaskLog
`taskInstance`

Fields inherited from class org.jbpm.logging.log.ProcessLog
`date, index, parent, token`

Constructor Summary
`TaskCreateLog()`
`TaskCreateLog(TaskInstance taskInstance, java.lang.String taskActorId)`

Method Summary
`java.lang.String` | `getTaskActorId()`
`java.lang.String` | `toString()` provides a text description for this update which can be used e.g. in the admin web console.

Methods inherited from class org.jbpm.taskmgmt.log.TaskLog
`getTaskInstance`

Methods inherited from class org.jbpm.logging.log.ProcessLog
`getActorId, getDate, getId, getIndex, getParent, getToken, setDate, setIndex, setParent, setToken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### taskActorId

    protected java.lang.String taskActorId

Constructor Detail

### TaskCreateLog

    public TaskCreateLog()

### TaskCreateLog

    public TaskCreateLog(TaskInstance taskInstance,
                         java.lang.String taskActorId)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `ProcessLog`
  provides a text description for this update which can be used e.g. in the admin web console.

  Specified by:
    `toString` in class `ProcessLog`

### getTaskActorId

    public java.lang.String getTaskActorId()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD